@echo off
rem  This file creates some libraries and (optionally)
rem  starts the configuration script.
rem  For running configuration script this file must be started
rem  with any parameter.
rem  The following programs must exist in the PATH:
rem  GNU shell utils
rem  GNU file utils
rem  GNU text utils
rem  GNU sed
rem  GNU grep (egrep,fgrep)
rem  ported pdksh.
rem
rem  The #warning statements must be removed from the EMX header files:
rem  sys/dir.h, sys/dirent.h, sys/socket.h, sys/stat.h.

SET C_INCLUDE_PATH=include;%C_INCLUDE_PATH%;
SET LIBRARY_PATH=lib;%LIBRARY_PATH%;
SET EMXOPT=-c -h256
SET GCCLOAD=5
SET CC=gcc.exe
rem SET CFLAGS=-O3 -Wall -mpentium -DNODEBUG
SET CFLAGS=-O3 -Wall -mpentium
SET EXEEXT=.exe
SET LDFLAGS=-s -Zcrtdll
SET LIBS=-libmtcp -lregex
SET CONFIG_SHELL=sh.exe
SET SH=sh.exe
SET MV=mv.exe
SET RM=rm.exe
SET AR=ar.exe
SET MKDIR=mkdir.exe
SET PERL=perl5x.exe
SET AWK=awk.exe
SET RANLIB=ar -r
SET TRUE=true
SET FALSE=false

setlocal
cd lib
SET C_INCLUDE_PATH=%C_INCLUDE_PATH%;..\include;
emximp -o regex.a GNUregex.def
emximp -o ibmtcp.a ibmtcp.imp
gcc -c %CFLAGS% syslog.c -o syslog.o -DTCPIPV4
ar r m.a syslog.o
cd ..
endlocal

rem exit

sh configure. --prefix=/squid --enable-removal-policies="lru heap" --enable-truncate %1 %2 %3 %4 %5 %6 %7 %8 %9
